-- ZLoop2 / Z-Ordered Windowing Example
-- Dec 12, 2000
-- euman@bellsouth.net

-- BEFORE RUNNING EXAMPLE Graphics Mode Default is (261)

-- if you dont have 1024x768 screen resolution you should change this!
-- You can edit this in vmode.e supplied along with this example.

-- Usage: Click the OK button until all Windows are open
--        Then select any Window to send it to the top
--        Click small X in top right corner of Window to
--        close that Window 
--        NOTE: Closing First Window ENDS PROGRAM.

-- ENJOY!

without type_check
without warning
without trace
                                
include Euwin.e

global integer first_window,
               second_window,
               third_window,
               fourth_window,
               fifth_window,
               sixth_window, 
               ENDPROGRAM                    


procedure first_win()
   Window(10,10,300,200,2,"Main Window")   
      Button(130,180,170,195,145,182,"OK",second_window,{},window)
      Button(80,180,120,195,92,182,"Exit",ENDPROGRAM,{},window)
      Button(25,35,110,55,29,39,"Hunter Palette",Change_Palette,{Hunter},button)
      Button(25,60,110,80,31,64,"Ocean Palette",Change_Palette,{Ocean},button)
      Button(25,85,110,105,31,89,"Corps Palette",Change_Palette,{Cherry},button)  
end procedure
first_window=routine_id("first_win")
             
procedure second_win()
   Window(50,50,350,250,2,"Second Window")
      Button(180,230,220,245,195,232,"OK",third_window,{},window)
end procedure
second_window=routine_id("second_win")

procedure third_win()
   Window(100,100,400,300,2,"Third Window")
      Button(230,280,270,295,245,282,"OK",fourth_window,{},window)
end procedure
third_window=routine_id("third_win")

procedure fourth_win()
   Window(150,150,450,350,2,"Fourth Window")
      Button(280,330,320,345,295,332,"OK",fifth_window,{},window)
end procedure
fourth_window=routine_id("fourth_win")

procedure fifth_win()
   Window(200,200,500,400,2,"Fifth Window")
      Button(330,380,370,395,345,382,"OK",sixth_window,{},window)
end procedure
fifth_window=routine_id("fifth_win")

procedure sixth_win()
   Window(250,250,550,450,2,"Sixth Window")
      Button(380,430,420,445,395,432,"OK",Change_Palette,{Hunter},button)
   
      select_font(sysa13)       
      set_background(3) set_foreground(2) 
      set_attributes(BOLD)
      setx(255) sety(275)
      write("DISCLAIMER: \n\n ")
      set_attributes(NONE)
      write_fast("THIS SOFTWARE IS PROVIDED ``AS IS'' AND ANY EXPRESS OR >\n")
      write_fast("INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES  >\n")
      write_fast("AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.   >\n")
      write_fast("AUTHOR NOT BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDE  >\n")                
      write_fast("OR CONSEQUENTIAL DAMGES (INCLUDING, BUT NOT LIMITED TO,>\n") 
      write_fast("SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PRO>\n") 
      write_fast("INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABI>\n") 
      write_fast("CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGEN>\n") 
      write_fast("ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVE>\n") 
end procedure
sixth_window=routine_id("sixth_win")

procedure BYE_BYE()
   if gmode(-1) then   
   end if
abort(0)
end procedure
ENDPROGRAM = routine_id("BYE_BYE")


Change_Palette = routine_id("do_pal") -- Palette routines Called from first_win()

first_win()
Z_Order()