-- ZLoop2 Copyright 2000 Wayne Overman
-- Dec 12, 2000
-- euman@bellsouth.net

include machine.e
include mdmighty.e


object events

integer flag,
        menu_selected,
        ctrlhlight,
        oz_length, 
        finished, 
        lit, 
        run_once,
        new_win, 
        main_win,
        back_up,  
        done
        
sequence mb, 
         mbw, 
         mbwp, 
         ctrl,
         oz_order,
         oz_route, 
         new_oz, 
         new_route,
         controls
         

ctrlhlight = 0
run_once   = 0
new_win    = 1
done       = 0
finished   = 0
lit        = 0
back_up    = 0

oz_order = {}
oz_route = {}
controls = {}



mouse_pointer(1)

procedure control_highlight()
   if ctrlhlight = 0 then
      mouse_pointer(0)
      pbox(ctrl[1]+1,ctrl[2]+1,ctrl[3]-1,ctrl[4]-1,2)
      set_foreground(4) set_background(2)
      setx(ctrl[5]) sety(ctrl[6])
      write_fast(ctrl[7])
      set_mouse_cursor(hand)                        
      mouse_pointer(1)
      ctrlhlight = 1
    end if
end procedure

procedure control_lightout()
   if ctrlhlight = 1 then
      mouse_pointer(0)
      pbox(ctrl[1]+1,ctrl[2]+1,ctrl[3]-1,ctrl[4]-1,4)
      set_foreground(2) set_background(4)
      setx(ctrl[5]) sety(ctrl[6])
      write_fast(ctrl[7])
      set_mouse_cursor(IDC_ARROW)
      mouse_pointer(1)
      ctrlhlight = 0
    end if
end procedure

procedure control_selected()

   if ctrl[10] = window then -- if createing a new Window from a control on an existing Window
      call_proc(ctrl[8], ctrl[9])
      oz_order = prepend(oz_order, wz)
      oz_route = prepend(oz_route,ctrl[8])
          
      if oz_route[1] = main_win then
         ctrls = prepend(ctrls,{wz[3]-16,wz[2]+2,wz[3]-3,wz[2]+16,wz[3]-15,wz[2]+2,"X",routine_id("free_window"),{},window})
      else
         ctrls = prepend(ctrls,{wz[3]-16,wz[2]+2,wz[3]-3,wz[2]+16,wz[3]-15,wz[2]+2,"X",ctrl[8],ctrl[9],window})
      end if      
   end if
    
   if ctrl[10] = button then -- not creating a new Window but, what do we want to do with this control  
      call_proc(ctrl[8], ctrl[9]) 
   end if
   
   if ctrl[10] = sle then -- Edit box
   --    call_proc(ctrl[8], ctrl[9])
   end if
    
   -- if ctrl[10] = 4 then -- Combo box
   -- if ctrl[10] = 5 then -- Treeview
   -- if ctrl[10] = 6 then -- Listview
                                                                                         
end procedure

procedure mouse_in_wz() -- in work_zone
integer hmctrls -- hmctrl = how many ctrls (will be renamed ctrls)

   while mouse_inside(wz[1],wz[2],wz[3],wz[4]) do
   events = poll_mouse()

      hmctrls = length(ctrls)
      for x = 1 to hmctrls do
    	  ctrl = ctrls[x]
    	     	  
    	  if ctrlhlight = 0 then
             if mouse_inside(ctrl[1],ctrl[2],ctrl[3],ctrl[4]) then
                if x = 1 then
                   mouse_pointer(0)
                   set_mouse_cursor(hand)
                   ctrlhlight = 1  
                   mouse_pointer(1)                   
                else   
                   control_highlight() 
                end if                      
             end if
          end if 
                         
          if events[1] = 1 and mouse_inside(ctrl[1],ctrl[2],ctrl[3],ctrl[4]) then
             if x = 1 then
                oz_length = length(oz_route)                                                     
                for cc = length(oz_route) to 1 by -1 do
                    if oz_length = 1 then
                       ctrlhlight = 0
                       exit
                    end if                    
                    if oz_route[1] = main_win then   
                       abort(0)                   
                    else 
                       mouse_pointer(0)                      	 
                       pbox(oz_order[1][1],oz_order[1][2],oz_order[1][3],oz_order[1][4],1)
                       oz_order = oz_order[2..length(oz_order)]
                       oz_route = oz_route[2..length(oz_route)]
                       for cd = length(oz_route) to 1 by -1 do                                                                                  	
                           call_proc(oz_route[cd], {})
                                        
                           if oz_route[cd] = main_win then
                              ctrls = prepend(ctrls,{wz[3]-16,wz[2]+2,wz[3]-3,wz[2]+16,wz[3]-15,wz[2]+2,"X",routine_id("free_window"),{},window})
                           else                                                 
                              ctrls = prepend(ctrls,{wz[3]-16,wz[2]+2,wz[3]-3,wz[2]+16,wz[3]-15,wz[2]+2,"X",ctrl[8],ctrl[9],window})
                           end if                                                           
                       end for
                       set_mouse_cursor(IDC_ARROW)
                       mouse_pointer(1)                                                                    
                       exit
                    end if
                end for
             else
             	  control_lightout()
                  control_selected()
                  if ctrl[10] = button then
                     while 1 do
                     events = poll_mouse()
                        if events[1] = 1 then
                        else
                           exit
                        end if
                     end while
                  end if                  
                  exit
             end if
          end if 
          
          if ctrlhlight = 1 then
             if mouse_leave(ctrl[1],ctrl[2],ctrl[3],ctrl[4]) then
                if x = 1 then
                   mouse_pointer(0)
                   set_mouse_cursor(IDC_ARROW)
                   mouse_pointer(1) 
                   ctrlhlight = 0                  
                else   
                   control_lightout() 
                end if        
             end if
          end if                   
      end for
   end while 	
end procedure

procedure mouse_ni_wz() -- not in work_zone
sequence tz
   while 1 do
   events = poll_mouse() 

      for z = 1 to length(oz_order) do 

      	  if mouse_inside(oz_order[z][1],oz_order[z][2],oz_order[z][3],oz_order[z][4]) then
      	     if events[1] = 1 then                    	
                while 1 do
                events = poll_mouse()
                   if events[1] = 0 then              	       	  
                      mouse_pointer(0)
                      set_mouse_cursor(IDC_ARROW)         	                                       
                      -- take over position of prepended seq  
                      new_oz = {}
                      new_route = {}
                      for ex = 1 to length(oz_order) do
                          if ex = z then
                          else new_oz    = append(new_oz,oz_order[ex])
                               new_route = append(new_route, oz_route[ex])
                          end if
                      end for                             
                      oz_order = prepend(new_oz, oz_order[z])
                      oz_route = prepend(new_route, oz_route[z])        
               	      call_proc(oz_route[1], {})               	            
               	      if oz_route[1] = main_win then
               	         ctrls = prepend(ctrls,{wz[3]-16,wz[2]+2,wz[3]-3,wz[2]+16,wz[3]-15,wz[2]+2,"X",routine_id("free_window"),{},window})
                      else
                         ctrls = prepend(ctrls,{wz[3]-16,wz[2]+2,wz[3]-3,wz[2]+16,wz[3]-15,wz[2]+2,"X",ctrl[8],ctrl[9],window})
                      end if
                      mouse_pointer(1)
                      new_win = 1
              	      exit
                   end if
                end while                  
             end if
             if new_win then
                exit
             end if
          end if
      end for
      if new_win then           
         exit
      end if
   end while   
end procedure


global procedure Z_Order()
flag=1

ctrls = prepend(ctrls,{wz[3]-16,wz[2]+2,wz[3]-3,wz[2]+16,wz[3]-15,wz[2]+2,"X",routine_id("free_window"),{},window})
oz_route = append(oz_route, 0)  
oz_order = {wz}
main_win = 0
              
 while 1 do
    events = poll_mouse()
    if sequence(events) then
       if mouse_inside(wz[1],wz[2],wz[3],wz[4]) then -- WORK ZONE         
    	  mouse_in_wz()
       end if

       if not mouse_inside(wz[1],wz[2],wz[3],wz[4]) then   
              mouse_ni_wz()
       end if      
    end if
 end while
 
end procedure   